<?php

namespace App\Integration\Providers\Alliance3\DTO;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for BusinessLicense DTO
 * @subpackage Structs
 */
class BusinessLicense extends AbstractStructBase
{
    /**
     * The type
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $type;
    /**
     * The number
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $number;
    /**
     * The dateOfIssue
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dateOfIssue;
    /**
     * The placeOfIssue
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $placeOfIssue;
    /**
     * The dateBegin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var anySimpleType
     */
    public $dateBegin;
    /**
     * The dateEnd
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var anySimpleType
     */
    public $dateEnd;
    /**
     * The activity
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $activity;
    /**
     * Constructor method for BusinessLicense
     * @uses BusinessLicense::setType()
     * @uses BusinessLicense::setNumber()
     * @uses BusinessLicense::setDateOfIssue()
     * @uses BusinessLicense::setPlaceOfIssue()
     * @uses BusinessLicense::setDateBegin()
     * @uses BusinessLicense::setDateEnd()
     * @uses BusinessLicense::setActivity()
     * @param string $type
     * @param string $number
     * @param string $dateOfIssue
     * @param string $placeOfIssue
     * @param anySimpleType $dateBegin
     * @param anySimpleType $dateEnd
     * @param string $activity
     */
    public function __construct($type = null, $number = null, $dateOfIssue = null, $placeOfIssue = null, anySimpleType $dateBegin = null, anySimpleType $dateEnd = null, $activity = null)
    {
        $this
            ->setType($type)
            ->setNumber($number)
            ->setDateOfIssue($dateOfIssue)
            ->setPlaceOfIssue($placeOfIssue)
            ->setDateBegin($dateBegin)
            ->setDateEnd($dateEnd)
            ->setActivity($activity);
    }
    /**
     * Get type value
     * @return string|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param string $type
     * @return \App\Integration\Providers\Alliance3\DTO\BusinessLicense
     */
    public function setType($type = null)
    {
        $this->type = $type;
        return $this;
    }
    /**
     * Get number value
     * @return string|null
     */
    public function getNumber()
    {
        return $this->number;
    }
    /**
     * Set number value
     * @param string $number
     * @return \App\Integration\Providers\Alliance3\DTO\BusinessLicense
     */
    public function setNumber($number = null)
    {
        $this->number = $number;
        return $this;
    }
    /**
     * Get dateOfIssue value
     * @return string|null
     */
    public function getDateOfIssue()
    {
        return $this->dateOfIssue;
    }
    /**
     * Set dateOfIssue value
     * @param string $dateOfIssue
     * @return \App\Integration\Providers\Alliance3\DTO\BusinessLicense
     */
    public function setDateOfIssue($dateOfIssue = null)
    {
        $this->dateOfIssue = $dateOfIssue;
        return $this;
    }
    /**
     * Get placeOfIssue value
     * @return string|null
     */
    public function getPlaceOfIssue()
    {
        return $this->placeOfIssue;
    }
    /**
     * Set placeOfIssue value
     * @param string $placeOfIssue
     * @return \App\Integration\Providers\Alliance3\DTO\BusinessLicense
     */
    public function setPlaceOfIssue($placeOfIssue = null)
    {
        $this->placeOfIssue = $placeOfIssue;
        return $this;
    }
    /**
     * Get dateBegin value
     * @return anySimpleType|null
     */
    public function getDateBegin()
    {
        return $this->dateBegin;
    }
    /**
     * Set dateBegin value
     * @param anySimpleType $dateBegin
     * @return \App\Integration\Providers\Alliance3\DTO\BusinessLicense
     */
    public function setDateBegin(anySimpleType $dateBegin = null)
    {
        $this->dateBegin = $dateBegin;
        return $this;
    }
    /**
     * Get dateEnd value
     * @return anySimpleType|null
     */
    public function getDateEnd()
    {
        return $this->dateEnd;
    }
    /**
     * Set dateEnd value
     * @param anySimpleType $dateEnd
     * @return \App\Integration\Providers\Alliance3\DTO\BusinessLicense
     */
    public function setDateEnd(anySimpleType $dateEnd = null)
    {
        $this->dateEnd = $dateEnd;
        return $this;
    }
    /**
     * Get activity value
     * @return string|null
     */
    public function getActivity()
    {
        return $this->activity;
    }
    /**
     * Set activity value
     * @param string $activity
     * @return \App\Integration\Providers\Alliance3\DTO\BusinessLicense
     */
    public function setActivity($activity = null)
    {
        $this->activity = $activity;
        return $this;
    }
}
