<?php

namespace App\Integration\Providers\Alliance3\DTO;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DissolutionPolicyResponse DTO
 * @subpackage Structs
 */
class DissolutionPolicyResponse extends AbstractStructBase
{
    /**
     * The accID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $accID;
    /**
     * The errors
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Integration\Providers\Alliance3\DTO\ErrorList
     */
    public $errors;
    /**
     * The dissolution
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Integration\Providers\Alliance3\DTO\Dissolution
     */
    public $dissolution;
    /**
     * The policyID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $policyID;
    /**
     * Constructor method for DissolutionPolicyResponse
     * @uses DissolutionPolicyResponse::setAccID()
     * @uses DissolutionPolicyResponse::setErrors()
     * @uses DissolutionPolicyResponse::setDissolution()
     * @uses DissolutionPolicyResponse::setPolicyID()
     * @param string $accID
     * @param \App\Integration\Providers\Alliance3\DTO\ErrorList $errors
     * @param \App\Integration\Providers\Alliance3\DTO\Dissolution $dissolution
     * @param int $policyID
     */
    public function __construct($accID = null, \App\Integration\Providers\Alliance3\DTO\ErrorList $errors = null, \App\Integration\Providers\Alliance3\DTO\Dissolution $dissolution = null, $policyID = null)
    {
        $this
            ->setAccID($accID)
            ->setErrors($errors)
            ->setDissolution($dissolution)
            ->setPolicyID($policyID);
    }
    /**
     * Get accID value
     * @return string|null
     */
    public function getAccID()
    {
        return $this->accID;
    }
    /**
     * Set accID value
     * @param string $accID
     * @return \App\Integration\Providers\Alliance3\DTO\DissolutionPolicyResponse
     */
    public function setAccID($accID = null)
    {
        $this->accID = $accID;
        return $this;
    }
    /**
     * Get errors value
     * @return \App\Integration\Providers\Alliance3\DTO\ErrorList|null
     */
    public function getErrors()
    {
        return $this->errors;
    }
    /**
     * Set errors value
     * @param \App\Integration\Providers\Alliance3\DTO\ErrorList $errors
     * @return \App\Integration\Providers\Alliance3\DTO\DissolutionPolicyResponse
     */
    public function setErrors(\App\Integration\Providers\Alliance3\DTO\ErrorList $errors = null)
    {
        $this->errors = $errors;
        return $this;
    }
    /**
     * Get dissolution value
     * @return \App\Integration\Providers\Alliance3\DTO\Dissolution|null
     */
    public function getDissolution()
    {
        return $this->dissolution;
    }
    /**
     * Set dissolution value
     * @param \App\Integration\Providers\Alliance3\DTO\Dissolution $dissolution
     * @return \App\Integration\Providers\Alliance3\DTO\DissolutionPolicyResponse
     */
    public function setDissolution(\App\Integration\Providers\Alliance3\DTO\Dissolution $dissolution = null)
    {
        $this->dissolution = $dissolution;
        return $this;
    }
    /**
     * Get policyID value
     * @return int|null
     */
    public function getPolicyID()
    {
        return $this->policyID;
    }
    /**
     * Set policyID value
     * @param int $policyID
     * @return \App\Integration\Providers\Alliance3\DTO\DissolutionPolicyResponse
     */
    public function setPolicyID($policyID = null)
    {
        $this->policyID = $policyID;
        return $this;
    }
}
