<?php

namespace App\Integration\Providers\Alliance3\DTO;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Error DTO
 * @subpackage Structs
 */
class Error extends AbstractStructBase
{
    /**
     * The message
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $message;
    /**
     * The type
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $type;
    /**
     * The detailMessage
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $detailMessage;
    /**
     * Constructor method for Error
     * @uses Error::setMessage()
     * @uses Error::setType()
     * @uses Error::setDetailMessage()
     * @param string $message
     * @param string $type
     * @param string $detailMessage
     */
    public function __construct($message = null, $type = null, $detailMessage = null)
    {
        $this
            ->setMessage($message)
            ->setType($type)
            ->setDetailMessage($detailMessage);
    }
    /**
     * Get message value
     * @return string|null
     */
    public function getMessage()
    {
        return $this->message;
    }
    /**
     * Set message value
     * @param string $message
     * @return \App\Integration\Providers\Alliance3\DTO\Error
     */
    public function setMessage($message = null)
    {
        $this->message = $message;
        return $this;
    }
    /**
     * Get type value
     * @return string|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param string $type
     * @return \App\Integration\Providers\Alliance3\DTO\Error
     */
    public function setType($type = null)
    {
        $this->type = $type;
        return $this;
    }
    /**
     * Get detailMessage value
     * @return string|null
     */
    public function getDetailMessage()
    {
        return $this->detailMessage;
    }
    /**
     * Set detailMessage value
     * @param string $detailMessage
     * @return \App\Integration\Providers\Alliance3\DTO\Error
     */
    public function setDetailMessage($detailMessage = null)
    {
        $this->detailMessage = $detailMessage;
        return $this;
    }
}
