<?php

namespace App\Integration\Providers\Alliance3\DTO;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for HideLoginRequest DTO
 * @subpackage Structs
 */
class HideLoginRequest extends AbstractStructBase
{
    /**
     * The loginInfo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Integration\Providers\Alliance3\DTO\LoginRequest
     */
    public $loginInfo;
    /**
     * The startWorkWithProduct
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $startWorkWithProduct;
    /**
     * The product
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $product;
    /**
     * Constructor method for HideLoginRequest
     * @uses HideLoginRequest::setLoginInfo()
     * @uses HideLoginRequest::setStartWorkWithProduct()
     * @uses HideLoginRequest::setProduct()
     * @param \App\Integration\Providers\Alliance3\DTO\LoginRequest $loginInfo
     * @param bool $startWorkWithProduct
     * @param string $product
     */
    public function __construct(\App\Integration\Providers\Alliance3\DTO\LoginRequest $loginInfo = null, $startWorkWithProduct = null, $product = null)
    {
        $this
            ->setLoginInfo($loginInfo)
            ->setStartWorkWithProduct($startWorkWithProduct)
            ->setProduct($product);
    }
    /**
     * Get loginInfo value
     * @return \App\Integration\Providers\Alliance3\DTO\LoginRequest|null
     */
    public function getLoginInfo()
    {
        return $this->loginInfo;
    }
    /**
     * Set loginInfo value
     * @param \App\Integration\Providers\Alliance3\DTO\LoginRequest $loginInfo
     * @return \App\Integration\Providers\Alliance3\DTO\HideLoginRequest
     */
    public function setLoginInfo(\App\Integration\Providers\Alliance3\DTO\LoginRequest $loginInfo = null)
    {
        $this->loginInfo = $loginInfo;
        return $this;
    }
    /**
     * Get startWorkWithProduct value
     * @return bool|null
     */
    public function getStartWorkWithProduct()
    {
        return $this->startWorkWithProduct;
    }
    /**
     * Set startWorkWithProduct value
     * @param bool $startWorkWithProduct
     * @return \App\Integration\Providers\Alliance3\DTO\HideLoginRequest
     */
    public function setStartWorkWithProduct($startWorkWithProduct = null)
    {
        $this->startWorkWithProduct = $startWorkWithProduct;
        return $this;
    }
    /**
     * Get product value
     * @return string|null
     */
    public function getProduct()
    {
        return $this->product;
    }
    /**
     * Set product value
     * @param string $product
     * @return \App\Integration\Providers\Alliance3\DTO\HideLoginRequest
     */
    public function setProduct($product = null)
    {
        $this->product = $product;
        return $this;
    }
}
