<?php

namespace App\Integration\Providers\Alliance3\DTO;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InsuranceByPeriod DTO
 * @subpackage Structs
 */
class InsuranceByPeriod extends AbstractStructBase
{
    /**
     * The dateStart
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dateStart;
    /**
     * The dateEnd
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dateEnd;
    /**
     * The insSum
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $insSum;
    /**
     * The insPrem
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $insPrem;
    /**
     * The insTarif
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $insTarif;
    /**
     * The risk
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $risk;
    /**
     * Constructor method for InsuranceByPeriod
     * @uses InsuranceByPeriod::setDateStart()
     * @uses InsuranceByPeriod::setDateEnd()
     * @uses InsuranceByPeriod::setInsSum()
     * @uses InsuranceByPeriod::setInsPrem()
     * @uses InsuranceByPeriod::setInsTarif()
     * @uses InsuranceByPeriod::setRisk()
     * @param string $dateStart
     * @param string $dateEnd
     * @param float $insSum
     * @param float $insPrem
     * @param float $insTarif
     * @param string $risk
     */
    public function __construct($dateStart = null, $dateEnd = null, $insSum = null, $insPrem = null, $insTarif = null, $risk = null)
    {
        $this
            ->setDateStart($dateStart)
            ->setDateEnd($dateEnd)
            ->setInsSum($insSum)
            ->setInsPrem($insPrem)
            ->setInsTarif($insTarif)
            ->setRisk($risk);
    }
    /**
     * Get dateStart value
     * @return string|null
     */
    public function getDateStart()
    {
        return $this->dateStart;
    }
    /**
     * Set dateStart value
     * @param string $dateStart
     * @return \App\Integration\Providers\Alliance3\DTO\InsuranceByPeriod
     */
    public function setDateStart($dateStart = null)
    {
        $this->dateStart = $dateStart;
        return $this;
    }
    /**
     * Get dateEnd value
     * @return string|null
     */
    public function getDateEnd()
    {
        return $this->dateEnd;
    }
    /**
     * Set dateEnd value
     * @param string $dateEnd
     * @return \App\Integration\Providers\Alliance3\DTO\InsuranceByPeriod
     */
    public function setDateEnd($dateEnd = null)
    {
        $this->dateEnd = $dateEnd;
        return $this;
    }
    /**
     * Get insSum value
     * @return float|null
     */
    public function getInsSum()
    {
        return $this->insSum;
    }
    /**
     * Set insSum value
     * @param float $insSum
     * @return \App\Integration\Providers\Alliance3\DTO\InsuranceByPeriod
     */
    public function setInsSum($insSum = null)
    {
        $this->insSum = $insSum;
        return $this;
    }
    /**
     * Get insPrem value
     * @return float|null
     */
    public function getInsPrem()
    {
        return $this->insPrem;
    }
    /**
     * Set insPrem value
     * @param float $insPrem
     * @return \App\Integration\Providers\Alliance3\DTO\InsuranceByPeriod
     */
    public function setInsPrem($insPrem = null)
    {
        $this->insPrem = $insPrem;
        return $this;
    }
    /**
     * Get insTarif value
     * @return float|null
     */
    public function getInsTarif()
    {
        return $this->insTarif;
    }
    /**
     * Set insTarif value
     * @param float $insTarif
     * @return \App\Integration\Providers\Alliance3\DTO\InsuranceByPeriod
     */
    public function setInsTarif($insTarif = null)
    {
        $this->insTarif = $insTarif;
        return $this;
    }
    /**
     * Get risk value
     * @return string|null
     */
    public function getRisk()
    {
        return $this->risk;
    }
    /**
     * Set risk value
     * @param string $risk
     * @return \App\Integration\Providers\Alliance3\DTO\InsuranceByPeriod
     */
    public function setRisk($risk = null)
    {
        $this->risk = $risk;
        return $this;
    }
}
