<?php

namespace App\Integration\Providers\Alliance3\DTO;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for IssuePolicyAsyncResponse DTO
 * @subpackage Structs
 */
class IssuePolicyAsyncResponse extends AbstractStructBase
{
    /**
     * The accID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $accID;
    /**
     * The policyID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $policyID;
    /**
     * The errors
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Integration\Providers\Alliance3\DTO\ErrorWithCodeList
     */
    public $errors;
    /**
     * The acceptedForProcessing
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $acceptedForProcessing;
    /**
     * The isError
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $isError;
    /**
     * Constructor method for IssuePolicyAsyncResponse
     * @uses IssuePolicyAsyncResponse::setAccID()
     * @uses IssuePolicyAsyncResponse::setPolicyID()
     * @uses IssuePolicyAsyncResponse::setErrors()
     * @uses IssuePolicyAsyncResponse::setAcceptedForProcessing()
     * @uses IssuePolicyAsyncResponse::setIsError()
     * @param string $accID
     * @param string $policyID
     * @param \App\Integration\Providers\Alliance3\DTO\ErrorWithCodeList $errors
     * @param bool $acceptedForProcessing
     * @param bool $isError
     */
    public function __construct($accID = null, $policyID = null, \App\Integration\Providers\Alliance3\DTO\ErrorWithCodeList $errors = null, $acceptedForProcessing = null, $isError = null)
    {
        $this
            ->setAccID($accID)
            ->setPolicyID($policyID)
            ->setErrors($errors)
            ->setAcceptedForProcessing($acceptedForProcessing)
            ->setIsError($isError);
    }
    /**
     * Get accID value
     * @return string|null
     */
    public function getAccID()
    {
        return $this->accID;
    }
    /**
     * Set accID value
     * @param string $accID
     * @return \App\Integration\Providers\Alliance3\DTO\IssuePolicyAsyncResponse
     */
    public function setAccID($accID = null)
    {
        $this->accID = $accID;
        return $this;
    }
    /**
     * Get policyID value
     * @return string|null
     */
    public function getPolicyID()
    {
        return $this->policyID;
    }
    /**
     * Set policyID value
     * @param string $policyID
     * @return \App\Integration\Providers\Alliance3\DTO\IssuePolicyAsyncResponse
     */
    public function setPolicyID($policyID = null)
    {
        $this->policyID = $policyID;
        return $this;
    }
    /**
     * Get errors value
     * @return \App\Integration\Providers\Alliance3\DTO\ErrorWithCodeList|null
     */
    public function getErrors()
    {
        return $this->errors;
    }
    /**
     * Set errors value
     * @param \App\Integration\Providers\Alliance3\DTO\ErrorWithCodeList $errors
     * @return \App\Integration\Providers\Alliance3\DTO\IssuePolicyAsyncResponse
     */
    public function setErrors(\App\Integration\Providers\Alliance3\DTO\ErrorWithCodeList $errors = null)
    {
        $this->errors = $errors;
        return $this;
    }
    /**
     * Get acceptedForProcessing value
     * @return bool|null
     */
    public function getAcceptedForProcessing()
    {
        return $this->acceptedForProcessing;
    }
    /**
     * Set acceptedForProcessing value
     * @param bool $acceptedForProcessing
     * @return \App\Integration\Providers\Alliance3\DTO\IssuePolicyAsyncResponse
     */
    public function setAcceptedForProcessing($acceptedForProcessing = null)
    {
        $this->acceptedForProcessing = $acceptedForProcessing;
        return $this;
    }
    /**
     * Get isError value
     * @return bool|null
     */
    public function getIsError()
    {
        return $this->isError;
    }
    /**
     * Set isError value
     * @param bool $isError
     * @return \App\Integration\Providers\Alliance3\DTO\IssuePolicyAsyncResponse
     */
    public function setIsError($isError = null)
    {
        $this->isError = $isError;
        return $this;
    }
}
