<?php

namespace App\Integration\Providers\Alliance3\DTO;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ParameterDictionaryTypeInfo DTO
 * Meta information extracted from the WSDL
 * - type: tns:ParameterDictionaryTypeInfo
 * @subpackage Structs
 */
class ParameterDictionaryTypeInfo extends AbstractStructBase
{
    /**
     * The DictionaryTypeCode
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $DictionaryTypeCode;
    /**
     * The Code
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Code;
    /**
     * The Name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Name;
    /**
     * The Type
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $Type;
    /**
     * The CalcCodes
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Integration\Providers\Alliance3\DTO\CalcListCodes
     */
    public $CalcCodes;
    /**
     * Constructor method for ParameterDictionaryTypeInfo
     * @uses ParameterDictionaryTypeInfo::setDictionaryTypeCode()
     * @uses ParameterDictionaryTypeInfo::setCode()
     * @uses ParameterDictionaryTypeInfo::setName()
     * @uses ParameterDictionaryTypeInfo::setType()
     * @uses ParameterDictionaryTypeInfo::setCalcCodes()
     * @param string $dictionaryTypeCode
     * @param string $code
     * @param string $name
     * @param string $type
     * @param \App\Integration\Providers\Alliance3\DTO\CalcListCodes $calcCodes
     */
    public function __construct($dictionaryTypeCode = null, $code = null, $name = null, $type = null, \App\Integration\Providers\Alliance3\DTO\CalcListCodes $calcCodes = null)
    {
        $this
            ->setDictionaryTypeCode($dictionaryTypeCode)
            ->setCode($code)
            ->setName($name)
            ->setType($type)
            ->setCalcCodes($calcCodes);
    }
    /**
     * Get DictionaryTypeCode value
     * @return string|null
     */
    public function getDictionaryTypeCode()
    {
        return $this->DictionaryTypeCode;
    }
    /**
     * Set DictionaryTypeCode value
     * @param string $dictionaryTypeCode
     * @return \App\Integration\Providers\Alliance3\DTO\ParameterDictionaryTypeInfo
     */
    public function setDictionaryTypeCode($dictionaryTypeCode = null)
    {
        $this->DictionaryTypeCode = $dictionaryTypeCode;
        return $this;
    }
    /**
     * Get Code value
     * @return string|null
     */
    public function getCode()
    {
        return $this->Code;
    }
    /**
     * Set Code value
     * @param string $code
     * @return \App\Integration\Providers\Alliance3\DTO\ParameterDictionaryTypeInfo
     */
    public function setCode($code = null)
    {
        $this->Code = $code;
        return $this;
    }
    /**
     * Get Name value
     * @return string|null
     */
    public function getName()
    {
        return $this->Name;
    }
    /**
     * Set Name value
     * @param string $name
     * @return \App\Integration\Providers\Alliance3\DTO\ParameterDictionaryTypeInfo
     */
    public function setName($name = null)
    {
        $this->Name = $name;
        return $this;
    }
    /**
     * Get Type value
     * @return string|null
     */
    public function getType()
    {
        return $this->Type;
    }
    /**
     * Set Type value
     * @param string $type
     * @return \App\Integration\Providers\Alliance3\DTO\ParameterDictionaryTypeInfo
     */
    public function setType($type = null)
    {
        $this->Type = $type;
        return $this;
    }
    /**
     * Get CalcCodes value
     * @return \App\Integration\Providers\Alliance3\DTO\CalcListCodes|null
     */
    public function getCalcCodes()
    {
        return $this->CalcCodes;
    }
    /**
     * Set CalcCodes value
     * @param \App\Integration\Providers\Alliance3\DTO\CalcListCodes $calcCodes
     * @return \App\Integration\Providers\Alliance3\DTO\ParameterDictionaryTypeInfo
     */
    public function setCalcCodes(\App\Integration\Providers\Alliance3\DTO\CalcListCodes $calcCodes = null)
    {
        $this->CalcCodes = $calcCodes;
        return $this;
    }
}
