<?php

namespace App\Integration\Providers\Alliance3\DTO;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ParametrInfo DTO
 * @subpackage Structs
 */
class ParametrInfo extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The code
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $code;
    /**
     * The type
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $type;
    /**
     * The stringValue
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $stringValue;
    /**
     * The intValue
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $intValue;
    /**
     * The decimalValue
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $decimalValue;
    /**
     * The dateValue
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $dateValue;
    /**
     * The boolValue
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $boolValue;
    /**
     * Constructor method for ParametrInfo
     * @uses ParametrInfo::setName()
     * @uses ParametrInfo::setCode()
     * @uses ParametrInfo::setType()
     * @uses ParametrInfo::setStringValue()
     * @uses ParametrInfo::setIntValue()
     * @uses ParametrInfo::setDecimalValue()
     * @uses ParametrInfo::setDateValue()
     * @uses ParametrInfo::setBoolValue()
     * @param string $name
     * @param string $code
     * @param string $type
     * @param string $stringValue
     * @param int $intValue
     * @param float $decimalValue
     * @param string $dateValue
     * @param bool $boolValue
     */
    public function __construct($name = null, $code = null, $type = null, $stringValue = null, $intValue = null, $decimalValue = null, $dateValue = null, $boolValue = null)
    {
        $this
            ->setName($name)
            ->setCode($code)
            ->setType($type)
            ->setStringValue($stringValue)
            ->setIntValue($intValue)
            ->setDecimalValue($decimalValue)
            ->setDateValue($dateValue)
            ->setBoolValue($boolValue);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \App\Integration\Providers\Alliance3\DTO\ParametrInfo
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get code value
     * @return string|null
     */
    public function getCode()
    {
        return $this->code;
    }
    /**
     * Set code value
     * @param string $code
     * @return \App\Integration\Providers\Alliance3\DTO\ParametrInfo
     */
    public function setCode($code = null)
    {
        $this->code = $code;
        return $this;
    }
    /**
     * Get type value
     * @return string|null
     */
    public function getType()
    {
        return $this->type;
    }
    /**
     * Set type value
     * @param string $type
     * @return \App\Integration\Providers\Alliance3\DTO\ParametrInfo
     */
    public function setType($type = null)
    {
        $this->type = $type;
        return $this;
    }
    /**
     * Get stringValue value
     * @return string|null
     */
    public function getStringValue()
    {
        return $this->stringValue;
    }
    /**
     * Set stringValue value
     * @param string $stringValue
     * @return \App\Integration\Providers\Alliance3\DTO\ParametrInfo
     */
    public function setStringValue($stringValue = null)
    {
        $this->stringValue = $stringValue;
        return $this;
    }
    /**
     * Get intValue value
     * @return int|null
     */
    public function getIntValue()
    {
        return $this->intValue;
    }
    /**
     * Set intValue value
     * @param int $intValue
     * @return \App\Integration\Providers\Alliance3\DTO\ParametrInfo
     */
    public function setIntValue($intValue = null)
    {
        $this->intValue = $intValue;
        return $this;
    }
    /**
     * Get decimalValue value
     * @return float|null
     */
    public function getDecimalValue()
    {
        return $this->decimalValue;
    }
    /**
     * Set decimalValue value
     * @param float $decimalValue
     * @return \App\Integration\Providers\Alliance3\DTO\ParametrInfo
     */
    public function setDecimalValue($decimalValue = null)
    {
        $this->decimalValue = $decimalValue;
        return $this;
    }
    /**
     * Get dateValue value
     * @return string|null
     */
    public function getDateValue()
    {
        return $this->dateValue;
    }
    /**
     * Set dateValue value
     * @param string $dateValue
     * @return \App\Integration\Providers\Alliance3\DTO\ParametrInfo
     */
    public function setDateValue($dateValue = null)
    {
        $this->dateValue = $dateValue;
        return $this;
    }
    /**
     * Get boolValue value
     * @return bool|null
     */
    public function getBoolValue()
    {
        return $this->boolValue;
    }
    /**
     * Set boolValue value
     * @param bool $boolValue
     * @return \App\Integration\Providers\Alliance3\DTO\ParametrInfo
     */
    public function setBoolValue($boolValue = null)
    {
        $this->boolValue = $boolValue;
        return $this;
    }
}
