<?php

namespace App\Integration\Providers\Alliance3\DTO;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ReasonsForReplacementList DTO
 * @subpackage Structs
 */
class ReasonsForReplacementList extends AbstractStructBase
{
    /**
     * The reason
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var string[]
     */
    public $reason;
    /**
     * Constructor method for ReasonsForReplacementList
     * @uses ReasonsForReplacementList::setReason()
     * @param string[] $reason
     */
    public function __construct(array $reason = array())
    {
        $this
            ->setReason($reason);
    }
    /**
     * Get reason value
     * @return string[]|null
     */
    public function getReason()
    {
        return $this->reason;
    }
    /**
     * Set reason value
     * @param string[] $reason
     * @return \App\Integration\Providers\Alliance3\DTO\ReasonsForReplacementList
     */
    public function setReason(array $reason = array())
    {
        $this->reason = $reason;
        return $this;
    }
    /**
     * Add item to reason value
     * @throws \InvalidArgumentException
     * @param string $item
     * @return \App\Integration\Providers\Alliance3\DTO\ReasonsForReplacementList
     */
    public function addToReason($item)
    {
        $this->reason[] = $item;
        return $this;
    }
}
