<?php

namespace App\Integration\Providers\Alliance3\DTO;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RiskInfo DTO
 * @subpackage Structs
 */
class RiskInfo extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The insured
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $insured;
    /**
     * The insSum
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $insSum;
    /**
     * The insSumCurrCode
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $insSumCurrCode;
    /**
     * The insPrem
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $insPrem;
    /**
     * The insPremCurrCode
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $insPremCurrCode;
    /**
     * The fransiza
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var float
     */
    public $fransiza;
    /**
     * The fransizaCurrCode
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $fransizaCurrCode;
    /**
     * The koefficients
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \App\Integration\Providers\Alliance3\DTO\KoeffInfoList
     */
    public $koefficients;
    /**
     * The franchiseType
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $franchiseType;
    /**
     * Constructor method for RiskInfo
     * @uses RiskInfo::setName()
     * @uses RiskInfo::setInsured()
     * @uses RiskInfo::setInsSum()
     * @uses RiskInfo::setInsSumCurrCode()
     * @uses RiskInfo::setInsPrem()
     * @uses RiskInfo::setInsPremCurrCode()
     * @uses RiskInfo::setFransiza()
     * @uses RiskInfo::setFransizaCurrCode()
     * @uses RiskInfo::setKoefficients()
     * @uses RiskInfo::setFranchiseType()
     * @param string $name
     * @param bool $insured
     * @param float $insSum
     * @param string $insSumCurrCode
     * @param float $insPrem
     * @param string $insPremCurrCode
     * @param float $fransiza
     * @param string $fransizaCurrCode
     * @param \App\Integration\Providers\Alliance3\DTO\KoeffInfoList $koefficients
     * @param string $franchiseType
     */
    public function __construct($name = null, $insured = null, $insSum = null, $insSumCurrCode = null, $insPrem = null, $insPremCurrCode = null, $fransiza = null, $fransizaCurrCode = null, \App\Integration\Providers\Alliance3\DTO\KoeffInfoList $koefficients = null, $franchiseType = null)
    {
        $this
            ->setName($name)
            ->setInsured($insured)
            ->setInsSum($insSum)
            ->setInsSumCurrCode($insSumCurrCode)
            ->setInsPrem($insPrem)
            ->setInsPremCurrCode($insPremCurrCode)
            ->setFransiza($fransiza)
            ->setFransizaCurrCode($fransizaCurrCode)
            ->setKoefficients($koefficients)
            ->setFranchiseType($franchiseType);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \App\Integration\Providers\Alliance3\DTO\RiskInfo
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get insured value
     * @return bool|null
     */
    public function getInsured()
    {
        return $this->insured;
    }
    /**
     * Set insured value
     * @param bool $insured
     * @return \App\Integration\Providers\Alliance3\DTO\RiskInfo
     */
    public function setInsured($insured = null)
    {
        $this->insured = $insured;
        return $this;
    }
    /**
     * Get insSum value
     * @return float|null
     */
    public function getInsSum()
    {
        return $this->insSum;
    }
    /**
     * Set insSum value
     * @param float $insSum
     * @return \App\Integration\Providers\Alliance3\DTO\RiskInfo
     */
    public function setInsSum($insSum = null)
    {
        $this->insSum = $insSum;
        return $this;
    }
    /**
     * Get insSumCurrCode value
     * @return string|null
     */
    public function getInsSumCurrCode()
    {
        return $this->insSumCurrCode;
    }
    /**
     * Set insSumCurrCode value
     * @param string $insSumCurrCode
     * @return \App\Integration\Providers\Alliance3\DTO\RiskInfo
     */
    public function setInsSumCurrCode($insSumCurrCode = null)
    {
        $this->insSumCurrCode = $insSumCurrCode;
        return $this;
    }
    /**
     * Get insPrem value
     * @return float|null
     */
    public function getInsPrem()
    {
        return $this->insPrem;
    }
    /**
     * Set insPrem value
     * @param float $insPrem
     * @return \App\Integration\Providers\Alliance3\DTO\RiskInfo
     */
    public function setInsPrem($insPrem = null)
    {
        $this->insPrem = $insPrem;
        return $this;
    }
    /**
     * Get insPremCurrCode value
     * @return string|null
     */
    public function getInsPremCurrCode()
    {
        return $this->insPremCurrCode;
    }
    /**
     * Set insPremCurrCode value
     * @param string $insPremCurrCode
     * @return \App\Integration\Providers\Alliance3\DTO\RiskInfo
     */
    public function setInsPremCurrCode($insPremCurrCode = null)
    {
        $this->insPremCurrCode = $insPremCurrCode;
        return $this;
    }
    /**
     * Get fransiza value
     * @return float|null
     */
    public function getFransiza()
    {
        return $this->fransiza;
    }
    /**
     * Set fransiza value
     * @param float $fransiza
     * @return \App\Integration\Providers\Alliance3\DTO\RiskInfo
     */
    public function setFransiza($fransiza = null)
    {
        $this->fransiza = $fransiza;
        return $this;
    }
    /**
     * Get fransizaCurrCode value
     * @return string|null
     */
    public function getFransizaCurrCode()
    {
        return $this->fransizaCurrCode;
    }
    /**
     * Set fransizaCurrCode value
     * @param string $fransizaCurrCode
     * @return \App\Integration\Providers\Alliance3\DTO\RiskInfo
     */
    public function setFransizaCurrCode($fransizaCurrCode = null)
    {
        $this->fransizaCurrCode = $fransizaCurrCode;
        return $this;
    }
    /**
     * Get koefficients value
     * @return \App\Integration\Providers\Alliance3\DTO\KoeffInfoList|null
     */
    public function getKoefficients()
    {
        return $this->koefficients;
    }
    /**
     * Set koefficients value
     * @param \App\Integration\Providers\Alliance3\DTO\KoeffInfoList $koefficients
     * @return \App\Integration\Providers\Alliance3\DTO\RiskInfo
     */
    public function setKoefficients(\App\Integration\Providers\Alliance3\DTO\KoeffInfoList $koefficients = null)
    {
        $this->koefficients = $koefficients;
        return $this;
    }
    /**
     * Get franchiseType value
     * @return string|null
     */
    public function getFranchiseType()
    {
        return $this->franchiseType;
    }
    /**
     * Set franchiseType value
     * @param string $franchiseType
     * @return \App\Integration\Providers\Alliance3\DTO\RiskInfo
     */
    public function setFranchiseType($franchiseType = null)
    {
        $this->franchiseType = $franchiseType;
        return $this;
    }
}
